-- ==========================
-- Magic Maze - www.atien.net
-- Fonctions pour le menu
-- ==========================

-- Fonction permettant de dessiner un rectangle (x,y,largeur,hauteur,couleur)
function drawRect(x, y, w, h, c)
	shell_drawline(x, y, x + w, y, c)
	shell_drawline(x, y, x, y + h, c)
	shell_drawline(x + w, y, x + w, y + h, c)
	shell_drawline(x + w, y + h, x, y + h, c)
end


-- Fonction qui dessine le menu en dbut de jeu
function drawMenu()
	shell_startdrawing()

	shell_activate(title)
	shell_draw(title, 64, 20)

	shell_activate(dir)
	shell_draw(dir, 160, 100 + menu * 20, 8, 8, 0, 0, 8, 8)

	shell_activate(pion)
	shell_draw(pion, 176, 116, 16, 16, 0, 0, 16, 16)
	shell_draw(pion, 176, 136, 16, 16, 0, 16, 16, 16)
	shell_draw(pion, 176, 156, 16, 16, 0, 32, 16, 16)
	shell_draw(pion, 176, 176, 16, 16, 0, 48, 16, 16)

	shell_activate(chest)
	shell_draw(chest, 176, 196)

	shell_activate(verdana10)
	shell_print(verdana10, 220, 118, white, "OFF    ON     AI")
	shell_print(verdana10, 220, 138, white, "OFF    ON     AI")
	shell_print(verdana10, 220, 158, white, "OFF    ON     AI")
	shell_print(verdana10, 220, 178, white, "OFF    ON     AI")
	shell_print(verdana10, 220, 198, white, tmax)
	shell_printcenter(verdana10, 230, white, "- Press [o] to start -")
	shell_printcenter(verdana10, 250, white, "Magic Maze - "..version.." - www.atien.net")

	drawRect(217 + p1.select * 36, 117, 26, 12, white)
	drawRect(217 + p2.select * 36, 137, 26, 12, white)
	drawRect(217 + p3.select * 36, 157, 26, 12, white)
	drawRect(217 + p4.select * 36, 177, 26, 12, white)
	
	shell_enddrawing()
end


-- Fonction pour afficher la fin du jeu
function drawEnd()
	shell_startdrawing()

	shell_activate(pion)
	shell_draw(pion, 306, 76, 16, 16, 0, (player - 1) * 16, 16, 16)

	shell_activate(verdana10)
	shell_print(verdana10, 150, 80, white, "Winner is player: "..player)
	shell_printcenter(verdana10, 200, white, "- Press [start] to exit -")

	shell_enddrawing()
end
